### Function

# GLib quark_from_string

#### Declaration [src]

    GQuark
    g_quark_from_string (
      const gchar* string
    )

#### Description [src]

Gets the `GQuark` identifying the given string. If the string does not currently have an associated `GQuark`, a new `GQuark` is created, using a copy of the string.

This function must not be used before library constructors have finished running. In particular, this means it cannot be used to initialize global variables in C++.

#### Parameters

`string`

  Type: `const gchar*`

  A string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GQuark`

The `GQuark` identifying the string, or 0 if `string` is `NULL`.